Subject: [alpine-user] lxterminal and vte

From: Fungi4All <[email-masked]>
Date: Tue, 18 Sep 2018 12:43:30 +0000

One thing I missed in Alpine was lxterminal, a tiny little luxury
I am used to.
lxterminal would install, it wouldn't produce an error but wouldn't run.
Recently I discovered in arch-testing that a new version of vte3
(vte for gtk3 I believe)
 broke some functions in lxterminal.  Eventually from arch bug lxde was
notified and fixed lxterminal.
But alpine still has a 2 year old lxterminal.
I wish I knew how to make packages and contribute, but I don't.

In many distributions there is a rush to move to gtk3, wayland, and
things that worked tend to break.  This is the push to get everyone
to comply with "majority" choices.
To me this seems as a discouraging general linux environment to engage in.

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Joshua Haase <[email-masked]>
Date: Tue, 18 Sep 2018 14:06:40 -0500

Fungi4All (2018-09-18 12:43):

| One thing I missed in Alpine was lxterminal, a tiny little luxury
| I am used to.
| lxterminal would install, it wouldn't produce an error but wouldn't run.
| Recently I discovered in arch-testing that a new version of vte3
| (vte for gtk3 I believe)
|  broke some functions in lxterminal.  Eventually from arch bug lxde was
| notified and fixed lxterminal.
| But alpine still has a 2 year old lxterminal.
| I wish I knew how to make packages and contribute, but I don't.

You could start by following this guide and asking for help in IRC and here
https://wiki.alpinelinux.org/wiki/Creating_an_Alpine_package

---